summary refs log tree commit diff
path: root/.ci
diff options
context:
space:
mode:
authorKonstantinos Sideris <sideris.konstantin@gmail.com>2018-01-13 14:59:48 +0200
committerKonstantinos Sideris <sideris.konstantin@gmail.com>2018-01-13 15:00:49 +0200
commitd2962ec0b2fe7a708c1da3564326966efadef78f (patch)
treea1bdcde8e29195ce23e7f4e1b036f877cfe6bbe0 /.ci
parentUpload filter automatically and use filter_id (#201) (diff)
downloadnheko-d2962ec0b2fe7a708c1da3564326966efadef78f.tar.xz
Add qt5.7 on travis ci
Diffstat (limited to '.ci')
-rwxr-xr-x.ci/install.sh30
-rwxr-xr-x.ci/linux/create-packages.sh2
-rwxr-xr-x.ci/linux/deploy.sh2
-rwxr-xr-x.ci/linux/install-deps.sh6
-rwxr-xr-x.ci/macos/deploy.sh2
-rwxr-xr-x.ci/script.sh22
6 files changed, 56 insertions, 8 deletions
diff --git a/.ci/install.sh b/.ci/install.sh
new file mode 100755
index 00000000..e7e99c1f
--- /dev/null
+++ b/.ci/install.sh
@@ -0,0 +1,30 @@
+#!/usr/bin/env bash
+
+set -ex
+
+if [ $TRAVIS_OS_NAME == osx ]; then
+    brew update
+    brew install qt5 lmdb clang-format ninja
+
+    export CMAKE_PREFIX_PATH=/usr/local/opt/qt5
+fi
+
+
+if [ $TRAVIS_OS_NAME == linux ]; then
+
+    if [ -z "$QT_VERSION" ]; then
+        QT_VERSION="592"
+    fi
+
+    export QT_PKG=${QT_VERSION:0:2}
+
+    sudo add-apt-repository -y ppa:beineri/opt-qt${QT_VERSION}-trusty
+    sudo add-apt-repository -y ppa:george-edison55/cmake-3.x
+    sudo apt-get update -qq
+    sudo apt-get install -qq -y \
+        qt${QT_PKG}base \
+        qt${QT_PKG}tools \
+        qt${QT_PKG}multimedia \
+        cmake \
+        liblmdb-dev
+fi
diff --git a/.ci/linux/create-packages.sh b/.ci/linux/create-packages.sh
index 18e57769..00d80e93 100755
--- a/.ci/linux/create-packages.sh
+++ b/.ci/linux/create-packages.sh
@@ -1,5 +1,7 @@
 #!/usr/bin/env bash
 
+set -ex
+
 #
 # Create deb & rpm packages from the AppImage.
 #
diff --git a/.ci/linux/deploy.sh b/.ci/linux/deploy.sh
index 93566162..ddac478a 100755
--- a/.ci/linux/deploy.sh
+++ b/.ci/linux/deploy.sh
@@ -1,6 +1,6 @@
 #!/usr/bin/env bash
 
-set -e
+set -ex
 
 APP=nheko
 DIR=${APP}.AppDir
diff --git a/.ci/linux/install-deps.sh b/.ci/linux/install-deps.sh
deleted file mode 100755
index 0c0b61eb..00000000
--- a/.ci/linux/install-deps.sh
+++ /dev/null
@@ -1,6 +0,0 @@
-#!/usr/bin/env bash
-
-sudo add-apt-repository -y ppa:beineri/opt-qt592-trusty
-sudo add-apt-repository -y ppa:george-edison55/cmake-3.x
-sudo apt-get update -qq
-sudo apt-get install -qq -y qt59base qt59tools cmake liblmdb-dev qt59multimedia
diff --git a/.ci/macos/deploy.sh b/.ci/macos/deploy.sh
index 487b5be7..39e2f439 100755
--- a/.ci/macos/deploy.sh
+++ b/.ci/macos/deploy.sh
@@ -1,6 +1,6 @@
 #!/usr/bin/env bash
 
-set -e
+set -ex
 
 TAG=`git tag -l --points-at HEAD`
 
diff --git a/.ci/script.sh b/.ci/script.sh
new file mode 100755
index 00000000..8ad12745
--- /dev/null
+++ b/.ci/script.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+
+set -ex
+
+if [ $TRAVIS_OS_NAME == linux ]; then
+    QT_PKG=${QT_VERSION:0:2}
+    source /opt/qt${QT_PKG}/bin/qt${QT_PKG}-env.sh || true;
+fi
+
+make ci
+
+if [ $TRAVIS_OS_NAME == osx ]; then
+    make lint;
+
+    if [ $DEPLOYMENT == 1 ] && [ ! -z $TRAVIS_TAG ]; then
+        make macos-deploy;
+    fi
+fi
+
+if [ $TRAVIS_OS_NAME == linux ] && [ $DEPLOYMENT == 1 ] && [ ! -z $TRAVIS_TAG ]; then
+    make linux-deploy;
+fi